Skip to main content
`Ctrl`+`K`

# DMPlexCreateCGNSFromFile

Create a `DMPLEX` mesh from a CGNS file.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCGNSFromFile(MPI_Comm comm, const char filename[], PetscBool interpolate, DM *dm)

Collective

## Input Parameters

- comm - The MPI communicator

- filename - The name of the CGNS file

- interpolate - Create faces and edges in the mesh

## Output Parameter

- dm - The `DM` object representing the mesh

## Note

https://cgns.github.io

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreate()`, `DMPlexCreateCGNS()`, `DMPlexCreateExodus()`

## Level

beginner

## Location

src/dm/impls/plex/plexcgns.c

## Implementations

DMPlexCreateCGNSFromFile_Internal() in src/dm/impls/plex/cgns/plexcgns2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages